/*
 * SFFS: Yet another FFS. A NAND-flash specific file system. 
 * sffs_mtdif.h  NAND mtd interface wrappers
 *
 * Copyright (C) 2002 Aleph One Ltd.
 *   for Toby Churchill Ltd and Brightstar Engineering
 *
 * Created by Charles Manning <charles@aleph1.co.uk>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2.1 as
 * published by the Free Software Foundation.
 *
 *
 * Note: Only SFFS headers are LGPL, SFFS C code is covered by GPL.
 *
 * $Id: sffs_mtdif.h,v 1.4 2002/09/27 20:50:50 charles Exp $
 */

#ifndef __SFFS_MTDIF_H__
#define __SFFS_MTDIF_H__

#include "sffs_guts.h"

int nandmtd_WriteChunkToNAND(sffs_Device *dev,int chunkInNAND,const __u8 *data, sffs_Spare *spare);
int nandmtd_ReadChunkFromNAND(sffs_Device *dev,int chunkInNAND, __u8 *data, sffs_Spare *spare);
int nandmtd_EraseBlockInNAND(sffs_Device *dev, int blockNumber);
int nandmtd_InitialiseNAND(sffs_Device *dev);
#endif




