/*
 * SFFS: Yet another FFS. A NAND-flash specific file system. 
 *
 * Copyright (C) 2002 Aleph One Ltd.
 *   for Toby Churchill Ltd and Brightstar Engineering
 *
 * Created by Charles Manning <charles@aleph1.co.uk>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2.1 as
 * published by the Free Software Foundation.
 *
 *
 * Note: Only SFFS headers are LGPL, SFFS C code is covered by GPL.
 *
 * sffs_nandemul.h: Interface to emulated NAND functions
 *
 * $Id: sffs_nandemul.h,v 1.4 2002/09/27 20:50:50 charles Exp $
 */
 
#ifndef __SFFS_NANDEMUL_H__
#define __SFFS_NANDEMUL_H__

#include "sffs_guts.h" 
 
 
/* WriteChunkToNAND and ReadChunkFromNAND are used with two pointers. 
 * If either of these pointers are null, then that field will not be 
 * transferred.
 */
 
int nandemul_WriteChunkToNAND(struct sffs_DeviceStruct *dev,int chunkInNAND, const __u8 *data, sffs_Spare *spare);
int nandemul_ReadChunkFromNAND(struct sffs_DeviceStruct *dev,int chunkInNAND, __u8 *data, sffs_Spare *spare);
int nandemul_EraseBlockInNAND(struct sffs_DeviceStruct *dev,int blockInNAND);
int nandemul_InitialiseNAND(struct sffs_DeviceStruct *dev);

#endif

